- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::Page Class Reference

Internal: class used to store a page and its data. More...

## Classes
struct | Descriptor
| Internal: class used to store a page descriptor. More...

## Public Member Functions
| Page ()
| constructor More...
int | getMasterPageId () const
| returns the master page id More...
void | updatePageSpan (STOFFPageSpan &page) const
| update pagespan properties More...

## Public Attributes
bool | m_masterPage
| a flag to know if the page is a master page More...
STOFFVec2i | m_size
| the page size More...
int | m_borders [4]
| the border size: left, up, right, bottom More...
std::vector< Descriptor > | m_masterPageDescList
| the list of master page descriptor More...
Layer | m_layer
| the layer More...
LayerSet | m_layerSet
| the layer set More...
std::vector< shared_ptr< StarObjectSmallGraphic > > | m_objectList
| the list of object More...
shared_ptr< StarObjectSmallGraphic > | m_background
| the background object More...

## Friends
std::ostream & | operator<< (std::ostream &o, Page const &page)
| operator<< More...

## Detailed Description

Internal: class used to store a page and its data.

## Constructor & Destructor Documentation

StarObjectModelInternal::Page::Page | ( |  | ) |
| inline

constructor

## Member Function Documentation

int StarObjectModelInternal::Page::getMasterPageId | ( |  | ) | const
| inline

returns the master page id

Referenced by StarObjectModel::updatePageSpans().

void StarObjectModelInternal::Page::updatePageSpan | ( | STOFFPageSpan & | page | ) | const
| inline

update pagespan properties

Referenced by StarObjectModel::sendMasterPages(), and StarObjectModel::updatePageSpans().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Page const & | page
| ) |  |
| friend

operator<<

## Member Data Documentation

shared_ptr<StarObjectSmallGraphic> StarObjectModelInternal::Page::m_background

the background object

int StarObjectModelInternal::Page::m_borders[4]

the border size: left, up, right, bottom

Layer StarObjectModelInternal::Page::m_layer

the layer

LayerSet StarObjectModelInternal::Page::m_layerSet

the layer set

bool StarObjectModelInternal::Page::m_masterPage

a flag to know if the page is a master page

std::vector<Descriptor> StarObjectModelInternal::Page::m_masterPageDescList

the list of master page descriptor

Referenced by StarObjectModel::readSdrMPageDesc().

std::vector<shared_ptr<StarObjectSmallGraphic> > StarObjectModelInternal::Page::m_objectList

the list of object

Referenced by StarObjectModel::sendPage().

STOFFVec2i StarObjectModelInternal::Page::m_size

the page size

The documentation for this class was generated from the following file:

- StarObjectModel.cxx